=== debian/changelog ===
razer (1.1.15-0ubuntu1) xenial; urgency=high
  * Added Device - Razer Orochi 2013
  * Added Device - Razer Kraken 7.1 Classic
  * Added Device - Razer Tartarus
  * Added startlight to pylib
  * Added DBus endpoint to list supported devices
  * Fixed some Razer image resource urls
  * Added replaces in control file to purge razer-chroma-drivers

 -- Terry Cain <terry@terrys-home.co.uk>  Sat, 30 Jul 2017 16:12:00 +0000

razer (1.1.14-0ubuntu1) xenial; urgency=high
  * Added Device - Razer DeathStalker Expert
  * Added Device - Razer Orbweaver Chroma
  * Added Device - Razer Orochi 2011
  * Fixed bug (in daemon code) where serial is blank or 'Default String'
  * Fixed bug where battery notifier will crash if started before notification daemon
  * Replaced XDG Autostart with SystemD dbus unit, will autostart when org.razer is accessed
  * Updated man pages
  * Nerf'd make install
  * Moved data dir to .local
  * Updated pid check to allow for running as 1 daemon per user
  * Added battery endpoints to Mamaba2012
  * z3ntu reformatted all the driver files

 -- Terry Cain <terry@terrys-home.co.uk>  Sat, 1 Jul 2017 17:33:00 +0000

razer (1.1.13-0ubuntu1) xenial; urgency=high

  * Added Device - Razer Naga Hex (Red)
  * Fixed bug where udev was matching whole tree not just device
  * Fixed bug in 1byte dpi logic for old devices
  * Renamed razer-service back to razer-daemon
  * Added more example scripts
  * Changed default serials on fake driver configs

 -- Terry Cain <terry@terrys-home.co.uk>  Sun, 11 Jun 2017 17:24:00 +0000

razer (1.1.12-0ubuntu1) xenial; urgency=high

  * Changed README
  * Added in missing DPI for DeathAdder Elite

 -- Terry Cain <terry@terrys-home.co.uk>  Wed, 3 May 2017 20:04:00 +0000

razer (1.1.11-0ubuntu1) xenial; urgency=low

  * Added Device - Overwatch Razer BlackWidow Chroma
  * Added Device - Razer Naga 2014
  * Fixed Bug where serial wasnt reported during device add, causing DBus to die a horrible death
  * Fixed inconsistencies where some firmware versions has newlines when interacting with the driver directly
  * Added some more mutex's in mouse driver
  * Swapped around mice and keyboard block in udev as udev was doing the dodgy
  * Added Naga 2014 to fake driver, fixed some other issues there
  * Fixed poll_rate constant which was overlooked when numbers changed
  * Added .backlight.active properties to mice in pylib

 -- Terry Cain <terry@terrys-home.co.uk>  Mon, 17 Apr 2017 11:21:00 +0000

razer (1.1.10-0ubuntu1) xenial; urgency=low

  * Fixed bug with Razer Blade QHD Lighting
  * Added Device - Razer Blade (Late 2016)
  * Added Device - Razer Mamba 2012 (Wired)
  * Added Device - Razer Mamba 2012 (Wireless)
  * Added Device - Razer Taipan
  * Added Device - Razer Nostromo
  * Now a DBus method to trigger reactive on firefly
  * Added a maxDPI() method to DBus and the python library
  * Fixed limited with some Blade RGB payloads
  * Fixed some crash conditions
  * Slowly prepping driver for some windows ifdefs so that it can compile on windows easily
  * Added raw_event function to mice that detects buttons when in device mode (doesnt work yet, proper code is in other branch)
  * Started adding mutex's to mice
  * Added macros globally in pylib
  * Added firefly class to pylib

 -- Terry Cain <terry@terrys-home.co.uk>  Sat, 15 Apr 2017 21:54:00 +0000

razer (1.1.9-0ubuntu1) xenial; urgency=low

  * Added options to daemon for restarting / stopping using the dameon script
  * Added more permission checks so solve some more issues.
  * Added Device - Razer Core
  * Added Device - Razer Naga Hex
  * Added Device - Razer BlackWidow Classic (Alternate)
  * Added Device - Razer BlackWidow Chroma V2
  * Added in more urls
  * Added custom mode to kraken
  * Added config option to stop battery notifications
  * Fixed bug when receiving multiple of the same screensaver events
  * Major changes to man pages

 -- Terry Cain <terry@terrys-home.co.uk>  Sat, 04 Mar 2017 14:47:00 +0000

razer (1.1.8-0ubuntu1) xenial; urgency=low

  * Removed driver_verbose make target and made the driver target be verbose
  * Added Device - Razer Ornata
  * Replaced screensaver thread with some logic to monitor DBus signals
  * Daemon now assignes the other interfaces of the device to the main device object
  * Fixed typo in Ornata Chroma daemon entry
  * Added poll rate to Mamba Chroma
  * Driver now has capability to block SuperKey, Alt+Tab, Alt+F4 for Game Mode

 -- Terry Cain <terry@terrys-home.co.uk>  Sat, 21 Jan 2017 21:56:00 +0000

razer (1.1.7-0ubuntu1) xenial; urgency=low

  * Added Device - Razer Orbweaver
  * Fixed error in dependancy name
  * Fixed error from merging

 -- Terry Cain <terry@terrys-home.co.uk>  Tue, 17 Jan 2017 19:29:00 +0000

razer (1.1.6-0ubuntu1) xenial; urgency=low

  * Fixed bug in Makefile where drivers wernt being copied over
  * Added Device - Razer DeathStalker Chroma
  * Added Device - Razer BlackWidow X Ultimate
  * Added Device - Razer Ouroboros 2012
  * Added Device - Razer DeathAdder Chroma
  * Added Device - Razer Diamonback Chroma
  * Added device add and device remove signals to the daemon
  * Overhaul'd the daemons device add/remove logic so that it actually works now, and works well
  * Added dict's to devices so that the python library can get links to Razer Store and device images
  * Added Razer BlackWidow 2012 and BlackWidow Classic to daemon
  * Fixed matrix limits on firefly and mug
  * Commented out evil log line that spams
  * Fixed package dependancy issue when on KDE
  * Fixed case issue in udev rules
  * Added config for kraken v1/2 and mug for device emulation

 -- Terry Cain <terry@terrys-home.co.uk>  Mon, 16 Jan 2017 21:11:00 +0000

razer (1.1.5-0ubuntu1) xenial; urgency=low

  * Big changes to overall build structure to facilitate proper RPM specfile building
  * Added Device - Razer Anansi
  * Added Device - Razer Naga Hex V2
  * Added Device - Razer DeathAdder Elite
  * Added Device - Razer Kraken 7.1 Chroma

