=== debian/control ===
Source: razer
Section: misc
Priority: optional
Maintainer: Terry Cain <terry@terrys-home.co.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 8.0.0),
               python3,
               python3-setuptools
Homepage: https://terrycain.github.io/razer-drivers/
Vcs-Git: git://git@github.com:terrycain/razer-drivers.git
Vcs-Browser: https://github.com/terrycain/razer-drivers/

Package: razer-kernel-modules-dkms
Section: kernel
Architecture: amd64 i386
Depends: dkms,
         udev,
         ${misc:Depends}
Replaces: razer-chroma-driver
Description: Razer Peripheral Drivers
 A keyboard driver, a mouse driver and a mousemat driver
 for Razer devices, plus support for Razer Blade devices.

Package: razer-daemon
Section: misc
Architecture: amd64 i386
Depends: razer-kernel-modules-dkms,
         python3,
         python3-dbus,
         python3-gi,
         python3-pyudev,
         python3-evdev,
         python3-setproctitle,
         python3-notify2,
         gir1.2-gtk-3.0,
         xautomation,
         xdotool,
         dbus-user-session
Recommends: python3-razer
Description: Razer Device Daemon
 A user-space daemon used to interface with the driver.
 It auto-starts in the XDG directory and handles syncing
 across devices.

Package: python3-razer
Section: misc
Architecture: all
Depends: python3,
         python3-dbus,
         python3-gi,
         python3-numpy
Description: Razer Python Library
 Contains a client for interacting with the Razer daemon.

Package: razer-doc
Section: doc
Architecture: all
Description: Documentation and examples for the Razer Tools
 Scripts on how to interact with the daemon and the driver.

Package: openrazer-meta
Section: misc
Architecture: all
Depends: python3-razer,
         razer-daemon,
         razer-kernel-modules-dkms
Description: Meta package for openrazer
